ghc-7.8.2: The GHC API

Safe Haskell | None
Language | Haskell98

ByteCodeItbls

# Documentation

type ItblEnv = NameEnv (Name, ItblPtr)

newtype ItblPtr

Constructors

ItblPtr (Ptr ()) |

Instances

Show ItblPtr |

itblCode :: DynFlags -> ItblPtr -> Ptr ()

mkITbls :: DynFlags -> [TyCon] -> IO ItblEnv

peekItbl :: DynFlags -> Ptr StgInfoTable -> IO StgInfoTable

data StgInfoTable

Constructors

StgInfoTable |
Fields entry :: Maybe (Ptr ()) ptrs :: HalfWord nptrs :: HalfWord tipe :: HalfWord srtlen :: HalfWord code :: Maybe ItblCodes